OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepAP203

# StepAP203_Array1OfDateTimeItem Class Reference

`#include <StepAP203_Array1OfDateTimeItem.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepAP203_Array1OfDateTimeItem (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepAP203_Array1OfDateTimeItem (const StepAP203_DateTimeItem &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const StepAP203_DateTimeItem &V)
Standard_EXPORT void | Destroy ()
| ~StepAP203_Array1OfDateTimeItem ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepAP203_Array1OfDateTimeItem & | Assign (const StepAP203_Array1OfDateTimeItem &Other)
const StepAP203_Array1OfDateTimeItem & | operator= (const StepAP203_Array1OfDateTimeItem &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepAP203_DateTimeItem &Value)
const StepAP203_DateTimeItem & | Value (const Standard_Integer Index) const
const StepAP203_DateTimeItem & | operator() (const Standard_Integer Index) const
StepAP203_DateTimeItem & | ChangeValue (const Standard_Integer Index)
StepAP203_DateTimeItem & | operator() (const Standard_Integer Index)
## Private Member Functions
Standard_EXPORT | StepAP203_Array1OfDateTimeItem (const StepAP203_Array1OfDateTimeItem &AnArray)
## Private Attributes
Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepAP203_Array1OfDateTimeItem::StepAP203_Array1OfDateTimeItem | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepAP203_Array1OfDateTimeItem::StepAP203_Array1OfDateTimeItem | ( | const StepAP203_DateTimeItem & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepAP203_Array1OfDateTimeItem::~StepAP203_Array1OfDateTimeItem | ( |  | ) | `[inline]`

Standard_EXPORT StepAP203_Array1OfDateTimeItem::StepAP203_Array1OfDateTimeItem | ( | const StepAP203_Array1OfDateTimeItem & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepAP203_Array1OfDateTimeItem& StepAP203_Array1OfDateTimeItem::Assign | ( | const StepAP203_Array1OfDateTimeItem & | Other | ) |

StepAP203_DateTimeItem& StepAP203_Array1OfDateTimeItem::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepAP203_Array1OfDateTimeItem::Destroy | ( |  | ) |

Standard_EXPORT void StepAP203_Array1OfDateTimeItem::Init | ( | const StepAP203_DateTimeItem & | V | ) |

Standard_Boolean StepAP203_Array1OfDateTimeItem::IsAllocated | ( |  | ) | const

Standard_Integer StepAP203_Array1OfDateTimeItem::Length | ( |  | ) | const

Standard_Integer StepAP203_Array1OfDateTimeItem::Lower | ( |  | ) | const

void StepAP203_Array1OfDateTimeItem::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepAP203_Array1OfDateTimeItem::operator new | ( | size_t | size | ) | `[inline]`

void* StepAP203_Array1OfDateTimeItem::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

StepAP203_DateTimeItem& StepAP203_Array1OfDateTimeItem::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const StepAP203_DateTimeItem& StepAP203_Array1OfDateTimeItem::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepAP203_Array1OfDateTimeItem& StepAP203_Array1OfDateTimeItem::operator= | ( | const StepAP203_Array1OfDateTimeItem & | Other | ) | `[inline]`

void StepAP203_Array1OfDateTimeItem::SetValue | ( | const Standard_Integer | Index,
|  | const StepAP203_DateTimeItem & | Value
| ) |

Standard_Integer StepAP203_Array1OfDateTimeItem::Upper | ( |  | ) | const

const StepAP203_DateTimeItem& StepAP203_Array1OfDateTimeItem::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepAP203_Array1OfDateTimeItem::isAllocated`[private]`

Standard_Integer StepAP203_Array1OfDateTimeItem::myLowerBound`[private]`

Standard_Address StepAP203_Array1OfDateTimeItem::myStart`[private]`

Standard_Integer StepAP203_Array1OfDateTimeItem::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- StepAP203_Array1OfDateTimeItem.hxx